local function y(inst)
	inst.components.lootdropper:SpawnLootPrefab(inst.prefab.."_item")

	GLOBAL.SpawnPrefab("collapse_small").Transform:SetPosition(inst.Transform:GetWorldPosition())

	if inst.prefab=="wall_hay" then
		local destroysound="dontstarve/common/destroy_straw"
	end
	if inst.prefab=="wall_wood" then
		local destroysound="dontstarve/common/destroy_wood"
	end
	if inst.prefab=="wall_stone" or inst.prefab=="wall_ruins" then
		local destroysound="dontstarve/common/destroy_stone"
	end
	if destroysound then
		inst.SoundEmitter:PlaySound(destroysound)		
	end

	inst:Remove()
end

local function x(inst)
	inst.components.workable:SetOnFinishCallback(y)
end
AddPrefabPostInit("wall_hay", x)
AddPrefabPostInit("wall_wood", x)
AddPrefabPostInit("wall_stone", x)
AddPrefabPostInit("wall_ruins", x)

